Не могу поставить пакеты.



  • Не могу поставить пакеты. Их попросту тупо нет. pfsense выдаёт "Unable to communicate with www.pfsense.com. Please verify DNS and interface configuration, and that pfSense has functional Internet connectivity", но связь с сайтом присутсвует.



  • Если в Diagnostics > command prompt выполнить команду - 'pkg-static clean -ya && pkg-static install -yf pkg && pkg-static install -yf pfSense-repo pfSense-upgrade' что выдаст? На самом пфсенсе имена резолвятся - Diagnostics > dns lookup?



  • 2.0.2-RELEASE (i386)

    Предположу, что к столь древней версии их просто уже нет . Соответственно репозитория, в которому 2.0.2 ищет пакеты, не существует.



  • @vladimirlind

    1. Команда выдаёт такое
      b09597aa-70d2-44d9-bdc6-abc980430a77-image.png

    2. Имена резолвятся.
      e6e16a13-5974-4710-9c22-87ee75af1afd-image.png



  • Я соглашусь с @pigbrother , что версия 2.0.2 слишком стара, чтобы для нее поддерживать пакеты. Надо обновляться.
    Кстати, а система показывает обновления?



  • @vladimirlind Показывает. Но мне стрёмно обновлятся. Ставлю новый pf на другой комп, а потом перенесу настройки со старого pf на новый. Чтобы не развалить имеющую систему.



  • @vladimirlind said in Не могу поставить пакеты.:

    command prompt выполнить команду - 'pkg-static clean -ya && pkg-static install -yf pkg && pkg-static install -yf pfSense-repo pfSense-upgrade'

    Это команда для для новой версии? Если да, то насколько помнится, начиная с 2.0.х менеджер пакетов минимум дважды менялся.

    @deem73 said in Не могу поставить пакеты.:

    Но мне стрёмно обновлятся

    Даже если пойти путем обновления, обновиться вы сможете максимум до 2.3.5. Далее поддержка х86 заканчивается.



  • @pigbrother said in Не могу поставить пакеты.:

    Это команда для для новой версии?

    Да, она с 2.3.x вроде как должна репозитории пакетов обновлять



  • Добрый.

    @deem73
    Добавлю свои 5 копеек.

    1. Для минимизации последствий "что-то пошло не так" и возможности откатиться ищите и качаете iso с пф той
      версии, к-ая сейчас развернута у Вас.
    2. Сохраняете бэкап конфига пф.
    3. Обновляетесь из вебки до последней возможной версии.
    4. Сохраняете бэкап конфига БЕЗ доп. пакетов (доустановите потом на новом пф)
    5. Развертываете новый пф самой свежей версии.
    6. Подбрасываете конфиг, к-ый сохранен в п.4.
    7. Донастраиваете пф до нужной Вам кондиции.

    Ps. Как вариант, развернуть новый пф на том же VirtualBox и ручками глядя в монитор перенести настройки (правила fw, vpn etc) прямо с работающего сейчас пф. После выгрузить конфиг и подгрузить его на "физический" пф. Такой вариант безопаснее всего, но требует больше времени.



  • Я сделал по-другому. Поднял pfsense последней версии на другой машинке, а потом накатил настройки(бэкап) со старой машины. Её-то я и держал в резерве на случай, если что-то пойдёт не так.
    Из проблем - надо было проставить заново интерфейсы, т.к. в новой машинке другие сетевые карты.



  • @deem73, Можно считать - вам повезло, что 2.4.4 принял конфиг от 2.0.1.



  • @pigbrother Да, вспомнил, описание настроек из кирилицы превратилось в кодировку вида #2333#2345#2345



  • @deem73 said in Не могу поставить пакеты.:

    Да, вспомнил, описание настроек из кирилицы превратилось в кодировку вида #2333#2345#2345

    Не использовал кириллицу, только в заметках для себя в пакете Notes. Использование русского не приветствую, поиск проблем с описанием на английском на порядки расширяет область поиска и возможность найти ответ.



  • Я имел ввиду поля "Descriptions" в которых я писал описания настроек для себя



  • @deem73 Очень давно тоже пытался писать комментарии на русском. В отличие от вас сразу после сохранения они становились нечитаемы.



  • Так и есть. Но описания правил в proxy filter сохранялись на русском.


Log in to reply